document.getElementById("masInfo").addEventListener("click", () => {
  document.getElementById("inputNombre").focus();
});

const form = document.getElementById("formulario");
const nombre = document.getElementById("inputNombre");
const tel = document.getElementById("inputTel");
const email = document.getElementById("inputEmail");
const check = document.getElementById("inputCheck");

const setError = (element, message) => {
  const inputControl = element.parentElement;
  const errorDisplay = inputControl.querySelector(".invalid");

  errorDisplay.innerText = message;
  inputControl.classList.add("error");
};

const setSuccess = (element) => {
  const inputControl = element.parentElement;
  const errorDisplay = inputControl.querySelector(".invalid");

  errorDisplay.innerText = "";
  inputControl.classList.remove("error");
};

const isValidTel = (tel) => {
  const re = /^(([0-9]{9}))$/;
  return re.test(String(tel));
};
const isValidTel2 = (tel) => {
  const re = /^(([6-8]{1}[0-9]{8}))$/;
  return re.test(String(tel));
};
const isValidEmail = (email) => {
    const re = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
    return re.test(String(email));
}

function validateInputs() {
  const nombreValue = nombre.value.trim();
  const telValue = tel.value.trim();
  const emailValue = email.value.trim();

  if (nombreValue === "") {
    setError(nombre, "Este campo es obligatorio.");
    return false;
  } else {
    setSuccess(nombre);
  }

  if (telValue === "") {
    setError(tel, "Este campo es obligatorio.");
    return false;
  } else if (!isValidTel(telValue)) {
    setError(tel, "El teléfono debe tener un total de 9 dígitos.");
    return false;
  } else if (!isValidTel2(telValue)) {
    setError(tel, "El teléfono debe empezar por 6, 7 u 8.");
    return false;
  } else {
    setSuccess(tel);
  }

  if (emailValue === "") {
    setError(email, "Este campo es obligatorio.");
    return false;
  } else if (!isValidEmail(emailValue)) {
    setError(email, "El correo no tiene un formato válido");
    return false;
  } else {
    setSuccess(email);
  }

  if (!check.checked) {
    setError(check, "Esta casilla es obligatoria.");
    return false;
  } else {
    setSuccess(check);
  }
}

// Scroll Animations
const observer = new IntersectionObserver((entries) => {
    entries.forEach((entry) => {
        if (entry.isIntersecting) {
            entry.target.classList.add('show');
        } // else {
        //     entry.target.classList.remove('remove');
        // }
    })
})

const hiddenElements = document.querySelectorAll('.hidden-el');
hiddenElements.forEach((el) => observer.observe(el));